## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global releasename matrix-python-common
%global pymodulename matrix_common

Name:           python-matrix-common
Version:        1.3.0
Release:        %autorelease
Summary:        Common utilities for Synapse, Sydent and Sygnal

License:        Apache-2.0
URL:            https://github.com/matrix-org/%{releasename}
Source0:        %{url}/archive/v%{version}/matrix-common-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Common utilities for Synapse, Sydent and Sygnal.}

%description %_description

%package -n python3-matrix-common
Summary:        %{summary}

%description -n python3-matrix-common %_description


%prep
%autosetup -p1 -n %{releasename}-%{version}


%generate_buildrequires
%pyproject_buildrequires -e py


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pymodulename}


%check
%tox


%files -n python3-matrix-common -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.3.0-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 20 2023 Kai A. Hiller <V02460@gmail.com> - 1.3.0-7
- SPDX migration

* Sun Aug 20 2023 Kai A. Hiller <V02460@gmail.com> - 1.3.0-6
- Inline %%{srcname}

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 1.3.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 10 2022 Kai A. Hiller <V02460@gmail.com> - 1.3.0-1
- Update to v1.3.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Kai A. Hiller <V02460@gmail.com> - 1.2.1-1
- Update to v1.2.1

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.1.0-2
- Rebuilt for Python 3.11

* Fri Feb 11 2022 Kai A. Hiller <V02460@gmail.com> - 1.1.0-1
- Update to v1.1.0

* Sat Jan 08 2022 Kai A. Hiller <V02460@gmail.com> - 1.0.0-1
- Initial package
- Fixes rhbz#2038993

## END: Generated by rpmautospec
